Skip to main content
GET
/
api
/
v1
/
apps
/
{app_id}
/
resource_types
/
{app_resource_type_id}
/
resources
List
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppResource.List(ctx, operations.C1APIAppV1AppResourceServiceListRequest{
        AppID: "<id>",
        AppResourceTypeID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.AppResourceServiceListResponse != nil {
        // handle response
    }
}
{
  "expanded": [
    {
      "@type": "<string>"
    }
  ],
  "list": [
    {
      "appPath": "<string>",
      "appResource": {
        "accessConfigId": "<string>",
        "appId": "<string>",
        "appResourceTypeId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "customDescription": "<string>",
        "deletedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "displayName": "<string>",
        "externalId": "<string>",
        "grantCount": "<string>",
        "id": "<string>",
        "matchBatonId": "<string>",
        "parentAppResourceId": "<string>",
        "parentAppResourceTypeId": "<string>",
        "profile": {},
        "secretTrait": {
          "identityAppUserId": "<string>",
          "lastUsedAt": "2023-11-07T05:31:56Z",
          "secretCreatedAt": "2023-11-07T05:31:56Z",
          "secretExpiresAt": "2023-11-07T05:31:56Z"
        },
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "objectPermissions": {
        "delete": true,
        "edit": true,
        "extra": {},
        "read": true
      },
      "parentResourcePath": "<string>",
      "parentResourceTypePath": "<string>",
      "resourceTypePath": "<string>"
    }
  ],
  "nextPageToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app to list resources for.

app_resource_type_id
string
required

Optional resource type ID to filter results by. If empty, resources of all types are returned.

Query Parameters

page_size
integer<int32>

The maximum number of results to return per page.

page_token
string

The token for fetching the next page of results.

Response

200 - application/json

The AppResourceServiceListResponse message contains a list of results and a nextPageToken if applicable.

The AppResourceServiceListResponse message contains a list of results and a nextPageToken if applicable.

expanded
object[] | null

List of serialized related objects.

list
App Resource View · object[] | null

The list of results containing up to X results, where X is the page size defined in the request.

nextPageToken
string

The nextPageToken is shown for the next page if the number of results is larger than the max page size. The server returns one page of results and the nextPageToken until all results are retreived. To retrieve the next page, use the same request and append a pageToken field with the value of nextPageToken shown on the previous page.